{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 60.0, 90.0, 460.0, 383.0 ],
		"bglocked" : 0,
		"defrect" : [ 60.0, 90.0, 460.0, 383.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 11.595187,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"metadata" : [  ],
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "autohelp",
					"id" : "obj-27",
					"numoutlets" : 0,
					"fontsize" : 11.595187,
					"patching_rect" : [ 311.0, 321.0, 55.0, 20.0 ],
					"hidden" : 1,
					"fontname" : "Arial",
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "button",
					"id" : "obj-14",
					"numoutlets" : 1,
					"outlettype" : [ "bang" ],
					"patching_rect" : [ 46.0, 204.0, 20.0, 20.0 ],
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "bang tells flush to turn the notes off",
					"linecount" : 3,
					"id" : "obj-15",
					"numoutlets" : 0,
					"fontsize" : 11.595187,
					"patching_rect" : [ 20.0, 155.0, 73.0, 46.0 ],
					"fontname" : "Arial",
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "noteout",
					"id" : "obj-16",
					"numoutlets" : 0,
					"fontsize" : 11.595187,
					"patching_rect" : [ 97.0, 282.0, 63.0, 20.0 ],
					"fontname" : "Arial",
					"numinlets" : 3
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "flush",
					"id" : "obj-17",
					"numoutlets" : 2,
					"fontsize" : 11.595187,
					"outlettype" : [ "int", "int" ],
					"patching_rect" : [ 97.0, 249.0, 41.0, 20.0 ],
					"fontname" : "Arial",
					"numinlets" : 2
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "$1 64",
					"id" : "obj-18",
					"numoutlets" : 1,
					"fontsize" : 11.595187,
					"outlettype" : [ "" ],
					"patching_rect" : [ 97.0, 217.0, 40.0, 18.0 ],
					"fontname" : "Arial",
					"numinlets" : 2
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Move the slider up and down to play a few hanging notes",
					"linecount" : 3,
					"id" : "obj-19",
					"numoutlets" : 0,
					"fontsize" : 11.595187,
					"patching_rect" : [ 119.0, 103.0, 109.0, 46.0 ],
					"fontname" : "Arial",
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "+ 36",
					"id" : "obj-20",
					"numoutlets" : 1,
					"fontsize" : 11.595187,
					"outlettype" : [ "int" ],
					"patching_rect" : [ 97.0, 183.0, 33.0, 20.0 ],
					"fontname" : "Arial",
					"numinlets" : 2
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "slider",
					"id" : "obj-21",
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"patching_rect" : [ 97.0, 102.0, 20.0, 76.0 ],
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Note: this same task can also be accomplished with bag or Borax, but flush is more useful in conjunction with mtr.",
					"linecount" : 3,
					"id" : "obj-22",
					"numoutlets" : 0,
					"fontsize" : 11.595187,
					"patching_rect" : [ 174.0, 263.0, 253.0, 46.0 ],
					"fontname" : "Arial",
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "flush passes numbers for pitch and velocity but keeps track of which note-ons haven't received corresponding note-offs. When flush receives a bang, it sends out the pitches for which it hasn't received a note-off out the left outlet, each preceded by a 0 out the right outlet",
					"linecount" : 6,
					"id" : "obj-23",
					"numoutlets" : 0,
					"fontsize" : 11.595187,
					"patching_rect" : [ 174.0, 157.0, 268.0, 86.0 ],
					"fontname" : "Arial",
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"varname" : "autohelp_top_title",
					"text" : "flush",
					"id" : "obj-28",
					"numoutlets" : 0,
					"fontface" : 3,
					"fontsize" : 20.871338,
					"textcolor" : [ 0.93, 0.93, 0.97, 1.0 ],
					"patching_rect" : [ 10.0, 8.0, 440.0, 30.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"frgb" : [ 0.93, 0.93, 0.97, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"varname" : "autohelp_top_digest",
					"text" : "Provide note-offs for held notes",
					"id" : "obj-29",
					"numoutlets" : 0,
					"fontsize" : 12.754705,
					"textcolor" : [ 0.93, 0.93, 0.97, 1.0 ],
					"patching_rect" : [ 10.0, 36.0, 440.0, 21.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"frgb" : [ 0.93, 0.93, 0.97, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"varname" : "autohelp_top_description",
					"text" : "flush keeps track of all note-ons passed through it, and can provide note-off messages for any held note-ons.",
					"linecount" : 2,
					"id" : "obj-30",
					"numoutlets" : 0,
					"fontsize" : 11.595187,
					"patching_rect" : [ 10.0, 57.0, 440.0, 33.0 ],
					"fontname" : "Arial",
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "textbutton",
					"varname" : "autohelp_top_ref",
					"id" : "obj-31",
					"bgcolor" : [ 0.0, 0.0, 0.0, 0.0 ],
					"numoutlets" : 3,
					"presentation_rect" : [ 0.0, 0.0, 133.454498, 14.666666 ],
					"spacing_x" : 0.0,
					"bordercolor" : [ 0.0, 0.0, 0.0, 0.0 ],
					"bgoncolor" : [ 0.0, 0.0, 0.0, 0.0 ],
					"text" : "open flush reference",
					"fontface" : 3,
					"fontsize" : 12.754705,
					"outlettype" : [ "int", "", "int" ],
					"underline" : 1,
					"spacing_y" : 0.0,
					"textcolor" : [ 0.296, 0.38, 0.506, 1.0 ],
					"textoncolor" : [ 0.27, 0.35, 0.47, 1.0 ],
					"patching_rect" : [ 321.545502, 22.0, 133.454498, 14.666666 ],
					"fontlink" : 1,
					"textovercolor" : [ 0.4, 0.5, 0.65, 1.0 ],
					"bgovercolor" : [ 0.0, 0.0, 0.0, 0.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"bgoveroncolor" : [ 0.0, 0.0, 0.0, 0.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"varname" : "autohelp_see_title",
					"text" : "See Also:",
					"id" : "obj-33",
					"numoutlets" : 0,
					"fontface" : 1,
					"fontsize" : 11.595187,
					"patching_rect" : [ 316.0, 325.0, 100.0, 20.0 ],
					"fontname" : "Arial",
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "umenu",
					"varname" : "autohelp_see_menu",
					"id" : "obj-34",
					"numoutlets" : 3,
					"types" : [  ],
					"fontsize" : 11.595187,
					"outlettype" : [ "int", "", "" ],
					"patching_rect" : [ 316.0, 345.0, 130.0, 20.0 ],
					"items" : [ "(Objects:)", ",", "borax", ",", "sustain", ",", "bag", ",", "midiflush", ",", "makenote", ",", "stripnote", ",", "offer", ",", "<separator>", ",", "(Tutorials:)", ",", "Max MIDI Tutorial 2: MIDI Note Management" ],
					"fontname" : "Arial",
					"numinlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"varname" : "autohelp_top_panel",
					"grad2" : [ 0.85, 0.85, 0.85, 1.0 ],
					"id" : "obj-32",
					"numoutlets" : 0,
					"background" : 1,
					"patching_rect" : [ 5.0, 5.0, 450.0, 52.0 ],
					"grad1" : [ 0.27, 0.35, 0.47, 1.0 ],
					"numinlets" : 1,
					"mode" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"varname" : "autohelp_see_panel",
					"border" : 2,
					"id" : "obj-35",
					"bgcolor" : [ 0.85, 0.85, 0.85, 0.75 ],
					"numoutlets" : 0,
					"bordercolor" : [ 0.5, 0.5, 0.5, 0.75 ],
					"background" : 1,
					"patching_rect" : [ 311.0, 321.0, 140.0, 50.0 ],
					"numinlets" : 1
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-17", 1 ],
					"destination" : [ "obj-16", 1 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-17", 0 ],
					"destination" : [ "obj-16", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-18", 0 ],
					"destination" : [ "obj-17", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-20", 0 ],
					"destination" : [ "obj-18", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-14", 0 ],
					"destination" : [ "obj-17", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-21", 0 ],
					"destination" : [ "obj-20", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
 ]
	}

}
