{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 15.0, 50.0, 939.0, 657.0 ],
		"bglocked" : 0,
		"defrect" : [ 15.0, 50.0, 939.0, 657.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 11.595187,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "panel",
					"varname" : "autohelp_top_picture_panel",
					"bgcolor" : [ 0.0, 0.0, 0.0, 0.0 ],
					"numinlets" : 1,
					"border" : 2,
					"numoutlets" : 0,
					"id" : "obj-60",
					"bordercolor" : [ 1.0, 1.0, 1.0, 0.75 ],
					"patching_rect" : [ 10.0, 7.0, 31.0, 31.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"varname" : "autohelp_top_description",
					"text" : "The jsui object is a general purpose user interface object driven by javascript. There are a number of templates already built to use (some of which are shown below). While the patcher is in edit mode, you can ctrl-click (mac) or right-click (pc) to bring up the contextual menu which will let you view and edit the currently loaded javascript file, or select one of the template files from jsui-library. If the javascript file also has a help file associated with it (as do all of the template objects contained in this patch), the associated help file will be loaded instead of jsui.maxhelp. The inspector lets you set the javascript file, javascript arguments, size, border flag, and disable full scene anti-aliasing (fsaa).\n\nAt the present time, mouse position and object redrawing will only be reported correctly in the jsui object if the patching and Presentation mode sizes of the object are the same.",
					"linecount" : 8,
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-56",
					"fontname" : "Arial",
					"patching_rect" : [ 10.0, 57.0, 871.0, 113.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "autohelp",
					"fontsize" : 11.595187,
					"hidden" : 1,
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-4",
					"fontname" : "Arial",
					"patching_rect" : [ 769.0, 575.0, 55.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "jsui",
					"jsarguments" : [ 128, 64, 128, 255, 255, 255, 150, 150, 150, 1 ],
					"numinlets" : 1,
					"filename" : "jsui_3ddial.js",
					"numoutlets" : 1,
					"id" : "obj-7",
					"outlettype" : [ "" ],
					"patching_rect" : [ 138.0, 355.0, 50.0, 50.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : ";\rmax launchbrowser http://www.opengl.org/documentation/red_book/",
					"linecount" : 2,
					"fontsize" : 11.595187,
					"numinlets" : 2,
					"numoutlets" : 1,
					"id" : "obj-8",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"patching_rect" : [ 456.0, 221.0, 359.0, 31.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "The \"this\" object in jsui contains an instance of Sketch which exposes a set of drawing methods including a large portion of OpenGL calls. Sketch supports both 2D and 3D rendering, and full scene anti-aliasing (on by default). Mouse events are handled by defining event handlers such as \"onclick\", \"ondrag\", \"onidle\", \"onidleout\", and \"ondblclick\" functions in your Javascript file. For more info about jsui and Sketch, pease consult the Javascript in Max documentation. For more info about OpenGL, please consult opengl.org. A link to the useful and informative \"Redbook\" is below.",
					"linecount" : 4,
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-9",
					"fontname" : "Arial",
					"patching_rect" : [ 10.0, 168.0, 877.0, 60.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "open",
					"fontsize" : 11.595187,
					"numinlets" : 2,
					"numoutlets" : 1,
					"id" : "obj-10",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"patching_rect" : [ 501.0, 307.0, 34.0, 18.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "open",
					"fontsize" : 11.595187,
					"numinlets" : 2,
					"numoutlets" : 1,
					"id" : "obj-11",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"patching_rect" : [ 712.0, 307.0, 34.0, 18.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "open",
					"fontsize" : 11.595187,
					"numinlets" : 2,
					"numoutlets" : 1,
					"id" : "obj-12",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"patching_rect" : [ 597.0, 307.0, 34.0, 18.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "jsui",
					"jsarguments" : [ "defimagepanel.tif", 1 ],
					"numinlets" : 1,
					"filename" : "jsui_imagepanel.js",
					"numoutlets" : 1,
					"id" : "obj-14",
					"outlettype" : [ "" ],
					"patching_rect" : [ 501.0, 530.0, 198.0, 72.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "zero",
					"fontsize" : 11.595187,
					"numinlets" : 2,
					"numoutlets" : 1,
					"id" : "obj-15",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"patching_rect" : [ 787.0, 525.0, 72.0, 18.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "prepend set",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"numoutlets" : 1,
					"id" : "obj-16",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"patching_rect" : [ 787.0, 501.0, 70.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"numoutlets" : 2,
					"id" : "obj-17",
					"fontname" : "Arial",
					"outlettype" : [ "int", "bang" ],
					"patching_rect" : [ 713.0, 501.0, 50.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "jsui",
					"jsarguments" : [ "zero", "one", 230, 230, 30, 30, 120, 30 ],
					"numinlets" : 1,
					"filename" : "jsui_texttoggle.js",
					"numoutlets" : 2,
					"id" : "obj-18",
					"outlettype" : [ "", "" ],
					"patching_rect" : [ 713.0, 458.0, 93.0, 33.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "toggle",
					"numinlets" : 1,
					"numoutlets" : 1,
					"id" : "obj-19",
					"outlettype" : [ "int" ],
					"patching_rect" : [ 616.0, 501.0, 20.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "button",
					"numinlets" : 1,
					"numoutlets" : 1,
					"id" : "obj-20",
					"outlettype" : [ "bang" ],
					"patching_rect" : [ 501.0, 501.0, 20.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "jsui",
					"jsarguments" : [ "button" ],
					"numinlets" : 1,
					"filename" : "jsui_textbutton.js",
					"numoutlets" : 1,
					"id" : "obj-21",
					"outlettype" : [ "" ],
					"patching_rect" : [ 616.0, 459.0, 86.0, 34.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "jsui",
					"jsarguments" : [ "label" ],
					"numinlets" : 1,
					"border" : 0,
					"filename" : "jsui_roundedlabel.js",
					"numoutlets" : 1,
					"id" : "obj-22",
					"outlettype" : [ "" ],
					"patching_rect" : [ 501.0, 459.0, 98.0, 36.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "jsui",
					"jsarguments" : [ 255, 255, 0, 255, 0, 255 ],
					"numinlets" : 1,
					"filename" : "jsui_gradpanel.js",
					"numoutlets" : 1,
					"id" : "obj-23",
					"outlettype" : [ "" ],
					"patching_rect" : [ 712.0, 328.0, 100.0, 80.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"numoutlets" : 2,
					"id" : "obj-24",
					"fontname" : "Arial",
					"outlettype" : [ "float", "bang" ],
					"patching_rect" : [ 678.0, 415.0, 50.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"numoutlets" : 2,
					"id" : "obj-25",
					"fontname" : "Arial",
					"outlettype" : [ "float", "bang" ],
					"patching_rect" : [ 597.0, 415.0, 50.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "jsui",
					"jsarguments" : [  ],
					"numinlets" : 2,
					"filename" : "jsui_2dvectorctrl.js",
					"numoutlets" : 2,
					"id" : "obj-26",
					"outlettype" : [ "", "" ],
					"patching_rect" : [ 597.0, 328.0, 100.0, 80.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "jsui",
					"jsarguments" : [ 64, 64, 64, 255, 255, 255, 128, 128, 128, 1, 0 ],
					"numinlets" : 1,
					"filename" : "jsui_simpleslider.js",
					"numoutlets" : 1,
					"id" : "obj-27",
					"outlettype" : [ "" ],
					"patching_rect" : [ 328.0, 355.0, 24.0, 116.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "jsui",
					"jsarguments" : [ 64, 64, 64, 255, 255, 255, 128, 128, 128, 2, 0 ],
					"numinlets" : 1,
					"filename" : "jsui_simpleslider.js",
					"numoutlets" : 1,
					"id" : "obj-28",
					"outlettype" : [ "" ],
					"patching_rect" : [ 355.0, 355.0, 24.0, 116.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "toggle",
					"numinlets" : 1,
					"numoutlets" : 1,
					"id" : "obj-29",
					"outlettype" : [ "int" ],
					"patching_rect" : [ 143.0, 244.0, 20.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "border $1",
					"fontsize" : 11.595187,
					"numinlets" : 2,
					"numoutlets" : 1,
					"id" : "obj-30",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"patching_rect" : [ 143.0, 269.0, 58.0, 18.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "s dials_and_sliders",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-31",
					"fontname" : "Arial",
					"patching_rect" : [ 32.0, 617.0, 109.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "prepend rgb2",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"numoutlets" : 1,
					"id" : "obj-32",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"patching_rect" : [ 258.0, 577.0, 80.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "slider",
					"orientation" : 1,
					"numinlets" : 1,
					"numoutlets" : 1,
					"id" : "obj-33",
					"outlettype" : [ "" ],
					"size" : 256.0,
					"patching_rect" : [ 258.0, 503.0, 105.0, 11.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "saturation $1",
					"fontsize" : 11.595187,
					"numinlets" : 2,
					"numoutlets" : 1,
					"id" : "obj-34",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"patching_rect" : [ 258.0, 517.0, 76.0, 18.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "swatch",
					"compatibility" : 1,
					"numinlets" : 3,
					"numoutlets" : 2,
					"id" : "obj-35",
					"outlettype" : [ "", "float" ],
					"patching_rect" : [ 258.0, 538.0, 105.0, 32.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "prepend frgb",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"numoutlets" : 1,
					"id" : "obj-36",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"patching_rect" : [ 145.0, 577.0, 76.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "slider",
					"orientation" : 1,
					"numinlets" : 1,
					"numoutlets" : 1,
					"id" : "obj-37",
					"outlettype" : [ "" ],
					"size" : 256.0,
					"patching_rect" : [ 145.0, 503.0, 105.0, 11.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "saturation $1",
					"fontsize" : 11.595187,
					"numinlets" : 2,
					"numoutlets" : 1,
					"id" : "obj-38",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"patching_rect" : [ 145.0, 517.0, 76.0, 18.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "swatch",
					"compatibility" : 1,
					"numinlets" : 3,
					"numoutlets" : 2,
					"id" : "obj-39",
					"outlettype" : [ "", "float" ],
					"patching_rect" : [ 145.0, 538.0, 105.0, 32.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "prepend brgb",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"numoutlets" : 1,
					"id" : "obj-40",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"patching_rect" : [ 32.0, 577.0, 80.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "slider",
					"orientation" : 1,
					"numinlets" : 1,
					"numoutlets" : 1,
					"id" : "obj-41",
					"outlettype" : [ "" ],
					"size" : 256.0,
					"patching_rect" : [ 32.0, 503.0, 105.0, 11.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "saturation $1",
					"fontsize" : 11.595187,
					"numinlets" : 2,
					"numoutlets" : 1,
					"id" : "obj-42",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"patching_rect" : [ 32.0, 517.0, 76.0, 18.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "swatch",
					"compatibility" : 1,
					"numinlets" : 3,
					"numoutlets" : 2,
					"id" : "obj-43",
					"outlettype" : [ "", "float" ],
					"patching_rect" : [ 32.0, 538.0, 105.0, 32.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "jsui",
					"jsarguments" : [  ],
					"numinlets" : 1,
					"border" : 0,
					"filename" : "jsui_wallclock.js",
					"numoutlets" : 1,
					"id" : "obj-44",
					"outlettype" : [ "" ],
					"patching_rect" : [ 501.0, 328.0, 80.0, 80.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "jsui",
					"jsarguments" : [  ],
					"numinlets" : 1,
					"filename" : "jsui_swoopdial.js",
					"numoutlets" : 1,
					"id" : "obj-45",
					"outlettype" : [ "" ],
					"patching_rect" : [ 246.0, 355.0, 50.0, 50.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "jsui",
					"jsarguments" : [  ],
					"numinlets" : 1,
					"filename" : "jsui_360dial.js",
					"numoutlets" : 1,
					"id" : "obj-46",
					"outlettype" : [ "" ],
					"patching_rect" : [ 192.0, 355.0, 50.0, 50.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "toggle",
					"numinlets" : 1,
					"numoutlets" : 1,
					"id" : "obj-47",
					"outlettype" : [ "int" ],
					"patching_rect" : [ 82.0, 244.0, 20.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "nofsaa $1",
					"fontsize" : 11.595187,
					"numinlets" : 2,
					"numoutlets" : 1,
					"id" : "obj-48",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"patching_rect" : [ 82.0, 269.0, 59.0, 18.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"numoutlets" : 2,
					"id" : "obj-49",
					"fontname" : "Arial",
					"outlettype" : [ "float", "bang" ],
					"patching_rect" : [ 30.0, 244.0, 50.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "s dials_and_sliders",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-50",
					"fontname" : "Arial",
					"patching_rect" : [ 30.0, 297.0, 107.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "r dials_and_sliders",
					"fontsize" : 11.595187,
					"numinlets" : 0,
					"numoutlets" : 1,
					"id" : "obj-51",
					"fontname" : "Arial",
					"outlettype" : [ "" ],
					"patching_rect" : [ 30.0, 321.0, 105.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "jsui",
					"jsarguments" : [  ],
					"numinlets" : 1,
					"filename" : "jsui_splineslider.js",
					"numoutlets" : 1,
					"id" : "obj-52",
					"outlettype" : [ "" ],
					"patching_rect" : [ 382.0, 355.0, 24.0, 116.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "jsui",
					"jsarguments" : [  ],
					"numinlets" : 1,
					"filename" : "jsui_simpleslider.js",
					"numoutlets" : 1,
					"id" : "obj-53",
					"outlettype" : [ "" ],
					"patching_rect" : [ 301.0, 355.0, 24.0, 116.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "p sketch_command_reference",
					"fontsize" : 11.595187,
					"numinlets" : 0,
					"numoutlets" : 0,
					"id" : "obj-54",
					"fontname" : "Arial",
					"patching_rect" : [ 495.0, 257.0, 278.0, 20.0 ],
					"patcher" : 					{
						"fileversion" : 1,
						"rect" : [ 181.0, 52.0, 808.0, 572.0 ],
						"bglocked" : 0,
						"defrect" : [ 181.0, 52.0, 808.0, 572.0 ],
						"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
						"openinpresentation" : 0,
						"default_fontsize" : 10.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"boxes" : [ 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "Image and spline commands",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"numoutlets" : 0,
									"id" : "obj-1",
									"fontname" : "Arial",
									"patching_rect" : [ 463.0, 46.0, 306.0, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "default setup",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"numoutlets" : 0,
									"id" : "obj-2",
									"fontname" : "Arial",
									"patching_rect" : [ 26.0, 45.0, 162.0, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "default2d;\rdefault3d;\rortho3d;\r",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"numoutlets" : 0,
									"id" : "obj-3",
									"fontname" : "Arial",
									"patching_rect" : [ 26.0, 74.0, 174.0, 46.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "p gl_commands",
									"fontsize" : 11.595187,
									"numinlets" : 0,
									"numoutlets" : 0,
									"id" : "obj-4",
									"fontname" : "Arial",
									"patching_rect" : [ 466.0, 125.0, 146.0, 20.0 ],
									"patcher" : 									{
										"fileversion" : 1,
										"rect" : [ 332.0, 90.0, 739.0, 589.0 ],
										"bglocked" : 0,
										"defrect" : [ 332.0, 90.0, 739.0, 589.0 ],
										"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
										"openinpresentation" : 0,
										"default_fontsize" : 10.0,
										"default_fontface" : 0,
										"default_fontname" : "Arial",
										"gridonopen" : 0,
										"gridsize" : [ 15.0, 15.0 ],
										"gridsnaponopen" : 0,
										"toolbarvisible" : 1,
										"boxanimatetime" : 200,
										"imprint" : 0,
										"boxes" : [ 											{
												"box" : 												{
													"maxclass" : "comment",
													"text" : "glu wrapper",
													"fontsize" : 11.595187,
													"numinlets" : 1,
													"numoutlets" : 0,
													"id" : "obj-1",
													"fontname" : "Arial",
													"patching_rect" : [ 30.0, 455.0, 218.0, 20.0 ]
												}

											}
, 											{
												"box" : 												{
													"maxclass" : "comment",
													"text" : "gl wrapper",
													"fontsize" : 11.595187,
													"numinlets" : 1,
													"numoutlets" : 0,
													"id" : "obj-2",
													"fontname" : "Arial",
													"patching_rect" : [ 30.0, 58.0, 103.0, 20.0 ]
												}

											}
, 											{
												"box" : 												{
													"maxclass" : "comment",
													"text" : "glulookat <fovy>;\rgluortho2d <left> <right> <bottom> <top>;\rgluperspective <fovy> <aspect> <near> <far>;\r",
													"linecount" : 3,
													"fontsize" : 11.595187,
													"numinlets" : 1,
													"numoutlets" : 0,
													"id" : "obj-3",
													"fontname" : "Arial",
													"patching_rect" : [ 30.0, 484.0, 249.0, 46.0 ]
												}

											}
, 											{
												"box" : 												{
													"maxclass" : "newobj",
													"text" : "p gl_symbolic_constants",
													"fontsize" : 11.595187,
													"numinlets" : 0,
													"numoutlets" : 0,
													"id" : "obj-4",
													"fontname" : "Arial",
													"patching_rect" : [ 323.0, 455.0, 230.0, 20.0 ],
													"patcher" : 													{
														"fileversion" : 1,
														"rect" : [ 318.0, 48.0, 852.0, 670.0 ],
														"bglocked" : 0,
														"defrect" : [ 318.0, 48.0, 852.0, 670.0 ],
														"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
														"openinpresentation" : 0,
														"default_fontsize" : 10.0,
														"default_fontface" : 0,
														"default_fontname" : "Arial",
														"gridonopen" : 0,
														"gridsize" : [ 15.0, 15.0 ],
														"gridsnaponopen" : 0,
														"toolbarvisible" : 1,
														"boxanimatetime" : 200,
														"imprint" : 0,
														"boxes" : [ 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "texgen mode",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-1",
																	"fontname" : "Arial",
																	"patching_rect" : [ 601.0, 338.0, 137.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "object_linear;\rsphere_map;\reye_linear;\r",
																	"linecount" : 3,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-2",
																	"fontname" : "Arial",
																	"patching_rect" : [ 601.0, 366.0, 119.0, 46.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "modulate;\rdecal;\rblend;\rreplace;\r",
																	"linecount" : 4,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-3",
																	"fontname" : "Arial",
																	"patching_rect" : [ 601.0, 119.0, 119.0, 60.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "texenv mode",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-4",
																	"fontname" : "Arial",
																	"patching_rect" : [ 601.0, 91.0, 142.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "nearest;\rlinear;\rclamp;\rrepeat;\r",
																	"linecount" : 4,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-5",
																	"fontname" : "Arial",
																	"patching_rect" : [ 601.0, 548.0, 119.0, 60.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "texparameter pvalue",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-6",
																	"fontname" : "Arial",
																	"patching_rect" : [ 601.0, 520.0, 218.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "mag_filter;\rmin_filter;\rwrap_s;\rwrap_t;\rborder_color;\r",
																	"linecount" : 5,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-7",
																	"fontname" : "Arial",
																	"patching_rect" : [ 601.0, 441.0, 119.0, 73.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "texparameter pname",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-8",
																	"fontname" : "Arial",
																	"patching_rect" : [ 601.0, 413.0, 218.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "texture_gen_mode;\robject_plane;\reye_plane;\r",
																	"linecount" : 3,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-9",
																	"fontname" : "Arial",
																	"patching_rect" : [ 601.0, 294.0, 119.0, 46.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "texgen pname",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-10",
																	"fontname" : "Arial",
																	"patching_rect" : [ 601.0, 266.0, 137.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "s;\rt;\rr;\rq;\r",
																	"linecount" : 4,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-11",
																	"fontname" : "Arial",
																	"patching_rect" : [ 601.0, 205.0, 119.0, 60.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "texgen coord",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-12",
																	"fontname" : "Arial",
																	"patching_rect" : [ 601.0, 178.0, 125.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "mode;\rcolor;\r",
																	"linecount" : 2,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-13",
																	"fontname" : "Arial",
																	"patching_rect" : [ 601.0, 56.0, 119.0, 33.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "texenv",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-14",
																	"fontname" : "Arial",
																	"patching_rect" : [ 601.0, 28.0, 119.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "flat;\rsmooth;\r",
																	"linecount" : 2,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-15",
																	"fontname" : "Arial",
																	"patching_rect" : [ 448.0, 582.0, 119.0, 33.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "shademodel",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-16",
																	"fontname" : "Arial",
																	"patching_rect" : [ 448.0, 554.0, 119.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "fill 0;\rline 1;\rpoint 2;\r",
																	"linecount" : 3,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-17",
																	"fontname" : "Arial",
																	"patching_rect" : [ 448.0, 503.0, 106.0, 46.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "polygonmode",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-18",
																	"fontname" : "Arial",
																	"patching_rect" : [ 448.0, 475.0, 133.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "modelview;\rprojection;\rtexture;\r",
																	"linecount" : 3,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-19",
																	"fontname" : "Arial",
																	"patching_rect" : [ 448.0, 422.0, 106.0, 46.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "matrixmode",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-20",
																	"fontname" : "Arial",
																	"patching_rect" : [ 448.0, 394.0, 133.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "ambient;\rdiffuse;\rspecular;\rposition;\rspot_cutoff;\rspot_direction;\rspot_exponent;\rlinear_attenuation;\rquadratic_attenuation;\r",
																	"linecount" : 9,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-21",
																	"fontname" : "Arial",
																	"patching_rect" : [ 297.0, 393.0, 127.0, 126.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "lightparam",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-22",
																	"fontname" : "Arial",
																	"patching_rect" : [ 297.0, 365.0, 119.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "ambient;\rlocal_viewer;\rtwo_side;\r",
																	"linecount" : 3,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-23",
																	"fontname" : "Arial",
																	"patching_rect" : [ 297.0, 312.0, 120.0, 46.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "lightmodel",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-24",
																	"fontname" : "Arial",
																	"patching_rect" : [ 297.0, 284.0, 119.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "perspective_correction;\rpoint_smooth;\rline_smooth;\rpolygon_smooth;\rfog;\r",
																	"linecount" : 5,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-25",
																	"fontname" : "Arial",
																	"patching_rect" : [ 297.0, 208.0, 132.0, 73.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "hint target",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-26",
																	"fontname" : "Arial",
																	"patching_rect" : [ 297.0, 180.0, 117.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "dont_care;\rnicest;\rfastest;\r",
																	"linecount" : 3,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-27",
																	"fontname" : "Arial",
																	"patching_rect" : [ 297.0, 130.0, 101.0, 46.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "hint mode",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-28",
																	"fontname" : "Arial",
																	"patching_rect" : [ 297.0, 102.0, 100.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "linear;\rexp;\rexp2;\r",
																	"linecount" : 3,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-29",
																	"fontname" : "Arial",
																	"patching_rect" : [ 297.0, 52.0, 101.0, 46.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "fog",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-30",
																	"fontname" : "Arial",
																	"patching_rect" : [ 297.0, 24.0, 100.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "fog;\rlighting;\rtexture;\rline_stipple;\rpolygon_stipple;\rcull_face;\ralpha_test;\rblend;\rindex_logic_op;\rcolor_logic_op;\rdither;\rstencil_test;\rdepth_test;\rclip_plane0;\rclip_plane1;\rclip_plane2;\rclip_plane3;\rclip_plane4;\rclip_plane5;\rlight0;\rlight1;\rlight2;\rlight3;\rlight4;\rlight5;\rlight6;\rlight7;\rtexture_gen_s;\rtexture_gen_t;\rtexture_gen_r;\rtexture_gen_q;\rpoint_smooth;\rline_smooth;\rpolygon_smooth;\rscissor_test;\rcolor_material;\rnormalize;\rauto_normal;\rpolygon_offset_point;\rpolygon_offset_line;\rpolygon_offset_fill;\r",
																	"linecount" : 41,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-31",
																	"fontname" : "Arial",
																	"patching_rect" : [ 167.0, 79.0, 122.0, 553.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "enable/ disable",
																	"linecount" : 2,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-32",
																	"fontname" : "Arial",
																	"patching_rect" : [ 166.0, 22.0, 86.0, 33.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "ambient;\rdiffuse;\rspecular;\remission;\rambient_and_diffuse;\rshininess;\r",
																	"linecount" : 6,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-33",
																	"fontname" : "Arial",
																	"patching_rect" : [ 448.0, 291.0, 123.0, 86.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "materialparam",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-34",
																	"fontname" : "Arial",
																	"patching_rect" : [ 448.0, 263.0, 137.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "clear;\rand;\rand_inverse;\rcopy;\rnoop;\rxor;\ror;\rnor;\requiv;\rinvert;\ror_reverse;\rcopy_inverted;\ror_inverted;\rnand;\rset;\r",
																	"linecount" : 15,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-35",
																	"fontname" : "Arial",
																	"patching_rect" : [ 448.0, 55.0, 101.0, 206.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "logicop",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-36",
																	"fontname" : "Arial",
																	"patching_rect" : [ 448.0, 27.0, 100.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "ambient;\rdiffuse;\rspecular;\remission;\rambient_and_diffuse;\r",
																	"linecount" : 5,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-37",
																	"fontname" : "Arial",
																	"patching_rect" : [ 27.0, 506.0, 124.0, 73.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "colormaterial",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-38",
																	"fontname" : "Arial",
																	"patching_rect" : [ 27.0, 478.0, 136.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "front 1;\rback 2 (cullface default);\rfront_and_back 3 (all others default);\r",
																	"linecount" : 4,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-39",
																	"fontname" : "Arial",
																	"patching_rect" : [ 27.0, 416.0, 137.0, 60.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "face",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-40",
																	"fontname" : "Arial",
																	"patching_rect" : [ 27.0, 388.0, 100.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "blendfunc",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-41",
																	"fontname" : "Arial",
																	"patching_rect" : [ 27.0, 209.0, 122.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "draw prims",
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-42",
																	"fontname" : "Arial",
																	"patching_rect" : [ 27.0, 22.0, 107.0, 20.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "lines;\rline_loop;\rline_strip;\rpoints;\rpolygon;\rquads;\rquad_grid;\rquad_strip;\rtriangles;\rtri_grid;\rtri_fan;\rtri_strip;\r",
																	"linecount" : 12,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-43",
																	"fontname" : "Arial",
																	"patching_rect" : [ 27.0, 50.0, 69.0, 166.0 ]
																}

															}
, 															{
																"box" : 																{
																	"maxclass" : "comment",
																	"text" : "zero 0;\rone 1;\rdst_color 2;\rsrc_color 3;\rone_minus_dst_color 4;\rone_minus_src_color 5;\rsrc_alpha 6;\rone_minus_src_alpha 7;\rdst_alpha 8;\rone_minus_dst_alpha 9;\rsrc_alpha_saturate 10;\r",
																	"linecount" : 11,
																	"fontsize" : 11.595187,
																	"numinlets" : 1,
																	"numoutlets" : 0,
																	"id" : "obj-44",
																	"fontname" : "Arial",
																	"patching_rect" : [ 27.0, 238.0, 138.0, 153.0 ]
																}

															}
 ],
														"lines" : [  ]
													}
,
													"saved_object_attributes" : 													{
														"globalpatchername" : "",
														"fontface" : 0,
														"fontsize" : 10.0,
														"default_fontface" : 0,
														"default_fontname" : "Arial",
														"fontname" : "Arial",
														"default_fontsize" : 10.0
													}

												}

											}
, 											{
												"box" : 												{
													"maxclass" : "comment",
													"text" : "gllogicop <opcode>;\rglmaterial;\rglmatrixmode <mode>;\rglmultmatrix <matrixname>;\rglnormal <x> <y> <z>;\rglortho <left> <right> <bottom> <top> <near> <far>;\rglpointsize <size>;\rglpolygonmode <face> <mode>;\rglpolygonoffset <factor> <units>;\rglpopattrib;\rglpopmatrix;\rglpushattrib;\rglpushmatrix;\rglrect <x1> <y1> <x2> <y2>;\rglrotate <angle> <x> <y> <z>;\rglscale <x-scale> <y-scale> <z-scale>;\rglscissor <x> <y> <width> <height>;\rglshademodel <mode>;\rgltexcoord <s> <t>;\rgltexenv <parameter name> <val1> (<val2> <val3> <val4>);\rgltexgen <coord> <parameter name> <val1> (<val2> <val3> <val4>);\rgltexparameter <parameter name> <val1> (<val2> <val3> <val4>);\rgltranslate <delta-x> <delta-y> <delta-z>;\rglvertex <x> <y> <z>;\rglviewport <x> <y> <width> <height>;\r",
													"linecount" : 25,
													"fontsize" : 11.595187,
													"numinlets" : 1,
													"numoutlets" : 0,
													"id" : "obj-5",
													"fontname" : "Arial",
													"patching_rect" : [ 323.0, 88.0, 366.0, 340.0 ]
												}

											}
, 											{
												"box" : 												{
													"maxclass" : "comment",
													"text" : "glbegin <draw prim>;\rglbindtexture <image>;\rglblendfunc <src-function> <dst-function>;\rglclear;\rglclearcolor <red> <green> <blue> <alpha>;\rglcleardepth <depth>;\rglclipplane <plane> <coeff1> <coeff2> <coeff3> <coeff4>;\rglcolor <red> <green> <blue> (<alpha>);\rglcolormask <red> <green> <blue> <alpha>;\rglcolormaterial <face> <mode>;\rglcullface <face>;\rgldepthmask <0/1>;\rgldepthrange <near> <far>;\rgldisable <capability>;\rgledgeflag <0/1>;\rglenable <capability>;\rglend;\rglfinish;\rglflush;\rglfog <parameter name> <value>;\rglfrustum <left> <right> <bottom> <top> <near> <far>;\rglhint <target> <mode>;\rgllight <light> <parameter name> <value>;\rgllightmodel <parameter name> <value>;\rgllinestipple <factor> <bit-pattern>;\rgllinewidth <width>;\rglloadidentity;\rglloadmatrix <array of matrix values>;\r",
													"linecount" : 28,
													"fontsize" : 11.595187,
													"numinlets" : 1,
													"numoutlets" : 0,
													"id" : "obj-6",
													"fontname" : "Arial",
													"patching_rect" : [ 32.0, 88.0, 308.0, 380.0 ]
												}

											}
, 											{
												"box" : 												{
													"maxclass" : "comment",
													"text" : "basically, the formula is convert the opengl function to all lower case. for symbolic constants, remove the \"GL_\" prefix and convert to lower case.",
													"linecount" : 2,
													"fontsize" : 11.595187,
													"numinlets" : 1,
													"numoutlets" : 0,
													"id" : "obj-7",
													"fontname" : "Arial",
													"patching_rect" : [ 149.0, 56.0, 381.0, 33.0 ]
												}

											}
 ],
										"lines" : [  ]
									}
,
									"saved_object_attributes" : 									{
										"globalpatchername" : "",
										"fontface" : 0,
										"fontsize" : 10.0,
										"default_fontface" : 0,
										"default_fontname" : "Arial",
										"fontname" : "Arial",
										"default_fontsize" : 10.0
									}

								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "simple commands",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"numoutlets" : 0,
									"id" : "obj-5",
									"fontname" : "Arial",
									"patching_rect" : [ 26.0, 125.0, 162.0, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "shape commands",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"numoutlets" : 0,
									"id" : "obj-6",
									"fontname" : "Arial",
									"patching_rect" : [ 28.0, 287.0, 162.0, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "shape attributes",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"numoutlets" : 0,
									"id" : "obj-7",
									"fontname" : "Arial",
									"patching_rect" : [ 27.0, 452.0, 162.0, 20.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "shapeorient <x-rot> <y-rot> <z-rot>;\rshapeslice <slice A> <slice B>;\rshapeprim <draw prim>;\r",
									"linecount" : 3,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"numoutlets" : 0,
									"id" : "obj-8",
									"fontname" : "Arial",
									"patching_rect" : [ 27.0, 481.0, 195.0, 46.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "circle <radius> <theta-start> <theta-end>;\rframecircle <radius> <theta-start> <theta-end>;\rellipse <radius1> <radius2> <theta-start> <theta-end>;\rframeellipse <radius1> <radius2> <theta-start> <theta-end>;\rsphere <radius> <theta1-start> <theta1-end> <theta2-start> <theta2-end>;\rcylinder <radius1> <radius2> <mag> <theta-start> <theta-end>;\rtorus <radius1> <radius2> <theta1-start> <theta1-end> <theta2-start> <theta2-end>;\rcube <scale-x1> <scale-y1> <scale-z1>;\rplane <scale-x1> <scale-y1> <scale-x2> <scale-y2>;\rroundedplane <roundness> <scale-x> <scale-y>;\r",
									"linecount" : 10,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"numoutlets" : 0,
									"id" : "obj-9",
									"fontname" : "Arial",
									"patching_rect" : [ 28.0, 315.0, 446.0, 140.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "move <delta-x> <delta-y> <delta-z>;\rmoveto <x> <y> <z>;\rpoint <x> <y> <z>;\rline <delta-x> <delta-y> <delta-z>;\rlineto <x> <y> <z>;\rlinesegment <x1> <y1> <z1> <x2> <y2> <z2>;\rquad <x1> <y1> <z1> <x2> <y2> <z2> <x3> <y3> <z3> <x4> <y4> <z4>;\rframequad <x1> <y1> <z1> <x2> <y2> <z2> <x3> <y3> <z3> <x4> <y4> <z4>;\rtri <x1> <y1> <z1> <x2> <y2> <z2> <x3> <y3> <z3>;\rframetri <x1> <y1> <z1> <x2> <y2> <z2> <x3> <y3> <z3>;\r",
									"linecount" : 10,
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"numoutlets" : 0,
									"id" : "obj-10",
									"fontname" : "Arial",
									"patching_rect" : [ 26.0, 152.0, 419.0, 140.0 ]
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "Please consult the Javascript in Max manual.",
									"fontsize" : 11.595187,
									"numinlets" : 1,
									"numoutlets" : 0,
									"id" : "obj-11",
									"fontname" : "Arial",
									"patching_rect" : [ 463.0, 79.0, 264.0, 20.0 ]
								}

							}
 ],
						"lines" : [  ]
					}
,
					"saved_object_attributes" : 					{
						"globalpatchername" : "",
						"fontface" : 0,
						"fontsize" : 10.0,
						"default_fontface" : 0,
						"default_fontname" : "Arial",
						"fontname" : "Arial",
						"default_fontsize" : 10.0
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "jsui",
					"jsarguments" : [  ],
					"numinlets" : 1,
					"filename" : "jsui_3ddial.js",
					"numoutlets" : 1,
					"id" : "obj-55",
					"outlettype" : [ "" ],
					"patching_rect" : [ 84.0, 355.0, 50.0, 50.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"numoutlets" : 2,
					"id" : "obj-58",
					"fontname" : "Arial",
					"outlettype" : [ "float", "bang" ],
					"patching_rect" : [ 30.0, 425.0, 50.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "jsui",
					"jsarguments" : [  ],
					"numinlets" : 1,
					"filename" : "jsui_simpledial.js",
					"numoutlets" : 1,
					"id" : "obj-59",
					"outlettype" : [ "" ],
					"patching_rect" : [ 30.0, 355.0, 50.0, 50.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "click on the open message to open the javascript source",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-61",
					"fontname" : "Arial",
					"patching_rect" : [ 497.0, 286.0, 299.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "set the colors of the above dials and sliders with the swatches below",
					"linecount" : 2,
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-62",
					"fontname" : "Arial",
					"patching_rect" : [ 31.0, 474.0, 193.0, 33.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"varname" : "autohelp_top_title",
					"text" : "jsui",
					"fontface" : 3,
					"textcolor" : [ 0.93, 0.93, 0.97, 1.0 ],
					"fontsize" : 20.871338,
					"frgb" : [ 0.93, 0.93, 0.97, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-5",
					"fontname" : "Arial",
					"patching_rect" : [ 40.0, 8.0, 455.0, 30.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"varname" : "autohelp_top_digest",
					"text" : "Javascript user interface and OpenGL graphics",
					"textcolor" : [ 0.93, 0.93, 0.97, 1.0 ],
					"fontsize" : 12.754705,
					"frgb" : [ 0.93, 0.93, 0.97, 1.0 ],
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-6",
					"fontname" : "Arial",
					"patching_rect" : [ 10.0, 36.0, 485.0, 21.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "textbutton",
					"varname" : "autohelp_top_ref",
					"underline" : 1,
					"fontface" : 3,
					"textcolor" : [ 0.296, 0.38, 0.506, 1.0 ],
					"bgoveroncolor" : [ 0.0, 0.0, 0.0, 0.0 ],
					"fontsize" : 12.754705,
					"bgcolor" : [ 0.0, 0.0, 0.0, 0.0 ],
					"numinlets" : 1,
					"spacing_x" : 0.0,
					"bgoncolor" : [ 0.0, 0.0, 0.0, 0.0 ],
					"numoutlets" : 3,
					"spacing_y" : 0.0,
					"text" : "open jsui reference",
					"textoncolor" : [ 0.27, 0.35, 0.47, 1.0 ],
					"presentation_rect" : [ 0.0, 0.0, 124.959648, 14.666666 ],
					"id" : "obj-57",
					"fontname" : "Arial",
					"outlettype" : [ "", "", "int" ],
					"fontlink" : 1,
					"bordercolor" : [ 0.0, 0.0, 0.0, 0.0 ],
					"textovercolor" : [ 0.4, 0.5, 0.65, 1.0 ],
					"patching_rect" : [ 375.040344, 22.0, 124.959648, 14.666666 ],
					"bgovercolor" : [ 0.0, 0.0, 0.0, 0.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"varname" : "autohelp_see_title",
					"text" : "See Also:",
					"fontface" : 1,
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-65",
					"fontname" : "Arial",
					"patching_rect" : [ 774.0, 579.0, 100.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "umenu",
					"varname" : "autohelp_see_menu",
					"fontsize" : 11.595187,
					"numinlets" : 1,
					"items" : [ "(Objects:)", ",", "js", ",", "jstrigger", ",", "mxj", ",", "<separator>", ",", "(Tutorials:)", ",", "Max JS Tutorial 3: JavaScript Tasks, Arguments, and Globals" ],
					"numoutlets" : 3,
					"id" : "obj-66",
					"fontname" : "Arial",
					"outlettype" : [ "int", "", "" ],
					"types" : [  ],
					"patching_rect" : [ 774.0, 599.0, 130.0, 20.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "fpic",
					"varname" : "autohelp_top_picture",
					"pic" : "Hitachi 320:/Applications/Max5/Cycling '74/object-palettes/jsui.svg",
					"autofit" : 1,
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-63",
					"patching_rect" : [ 14.0, 11.0, 23.0, 23.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"varname" : "autohelp_top_panel",
					"grad1" : [ 0.27, 0.35, 0.47, 1.0 ],
					"grad2" : [ 0.85, 0.85, 0.85, 1.0 ],
					"mode" : 1,
					"numinlets" : 1,
					"numoutlets" : 0,
					"id" : "obj-64",
					"background" : 1,
					"patching_rect" : [ 5.0, 5.0, 495.0, 52.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"varname" : "autohelp_see_panel",
					"bgcolor" : [ 0.85, 0.85, 0.85, 0.75 ],
					"numinlets" : 1,
					"border" : 2,
					"numoutlets" : 0,
					"id" : "obj-67",
					"background" : 1,
					"bordercolor" : [ 0.5, 0.5, 0.5, 0.75 ],
					"patching_rect" : [ 769.0, 575.0, 140.0, 50.0 ]
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-26", 1 ],
					"destination" : [ "obj-24", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-26", 0 ],
					"destination" : [ "obj-25", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-59", 0 ],
					"destination" : [ "obj-58", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-49", 0 ],
					"destination" : [ "obj-50", 0 ],
					"hidden" : 0,
					"midpoints" : [ 39.5, 293.0, 39.5, 293.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-29", 0 ],
					"destination" : [ "obj-30", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-47", 0 ],
					"destination" : [ "obj-48", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-16", 0 ],
					"destination" : [ "obj-15", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-18", 1 ],
					"destination" : [ "obj-16", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-11", 0 ],
					"destination" : [ "obj-23", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-12", 0 ],
					"destination" : [ "obj-26", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-22", 0 ],
					"destination" : [ "obj-20", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-10", 0 ],
					"destination" : [ "obj-44", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-51", 0 ],
					"destination" : [ "obj-52", 0 ],
					"hidden" : 0,
					"midpoints" : [ 39.5, 346.0, 391.5, 346.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-51", 0 ],
					"destination" : [ "obj-28", 0 ],
					"hidden" : 0,
					"midpoints" : [ 39.5, 346.0, 364.5, 346.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-51", 0 ],
					"destination" : [ "obj-27", 0 ],
					"hidden" : 0,
					"midpoints" : [ 39.5, 346.0, 337.5, 346.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-51", 0 ],
					"destination" : [ "obj-53", 0 ],
					"hidden" : 0,
					"midpoints" : [ 39.5, 346.0, 310.5, 346.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-35", 0 ],
					"destination" : [ "obj-32", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-34", 0 ],
					"destination" : [ "obj-35", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-34", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-51", 0 ],
					"destination" : [ "obj-45", 0 ],
					"hidden" : 0,
					"midpoints" : [ 39.5, 346.0, 255.5, 346.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-51", 0 ],
					"destination" : [ "obj-46", 0 ],
					"hidden" : 0,
					"midpoints" : [ 39.5, 346.0, 201.5, 346.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-39", 0 ],
					"destination" : [ "obj-36", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-38", 0 ],
					"destination" : [ "obj-39", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-37", 0 ],
					"destination" : [ "obj-38", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-51", 0 ],
					"destination" : [ "obj-7", 0 ],
					"hidden" : 0,
					"midpoints" : [ 39.5, 346.0, 147.5, 346.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-51", 0 ],
					"destination" : [ "obj-55", 0 ],
					"hidden" : 0,
					"midpoints" : [ 39.5, 346.0, 93.5, 346.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-40", 0 ],
					"destination" : [ "obj-31", 0 ],
					"hidden" : 0,
					"midpoints" : [ 41.5, 605.0, 41.5, 605.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-36", 0 ],
					"destination" : [ "obj-31", 0 ],
					"hidden" : 0,
					"midpoints" : [ 154.5, 605.0, 41.5, 605.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-32", 0 ],
					"destination" : [ "obj-31", 0 ],
					"hidden" : 0,
					"midpoints" : [ 267.5, 605.0, 41.5, 605.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-43", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-42", 0 ],
					"destination" : [ "obj-43", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-41", 0 ],
					"destination" : [ "obj-42", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-51", 0 ],
					"destination" : [ "obj-59", 0 ],
					"hidden" : 0,
					"midpoints" : [ 39.5, 346.0, 39.5, 346.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-48", 0 ],
					"destination" : [ "obj-50", 0 ],
					"hidden" : 0,
					"midpoints" : [ 91.5, 293.0, 39.5, 293.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-30", 0 ],
					"destination" : [ "obj-50", 0 ],
					"hidden" : 0,
					"midpoints" : [ 152.5, 293.0, 39.5, 293.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-18", 0 ],
					"destination" : [ "obj-17", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-21", 0 ],
					"destination" : [ "obj-19", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
 ]
	}

}
